OOUI\ElementMixin Class Reference
Inheritance diagram for OOUI\ElementMixin:
[legend]
Collaboration diagram for OOUI\ElementMixin:
[legend]

## Public Member Functions

| __construct (Element $element, Tag $target, array $config=array())
| Create element. More...
| getConfig (&$config)
| Add properties to the given `$config` array to allow reconstruction of this widget via its constructor. More...

## Public Attributes

Tag | $target = null
| Tag being targeted.

## Static Public Attributes

static string | $targetPropertyName = ''
| Property name for accessing the target on the element.

## Protected Attributes

Element | $element = null
| Element being mixed into.

## Constructor & Destructor Documentation

OOUI\ElementMixin::__construct | ( | Element | $element,
|  | Tag | $target,
|  | array | $config = `array()`
| ) |  |

Create element.

Parameters

  Element | $element | Element being mixed into
  Tag | $tag | Tag being targeted
  array | $config | Configuration options

## Member Function Documentation

OOUI\ElementMixin::getConfig | ( | & | $config | ) |

Add properties to the given `$config` array to allow reconstruction of this widget via its constructor.

This method is meant to be overridden by subclasses of `ElementMixin`.

Returns
  array A configuration array.

See also
  Element::getConfig()

The documentation for this class was generated from the following file:

- php/ElementMixin.php